{% extends 'base.html.twig' %}

{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/bootstrap.min.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">
{% endblock %}


{% block body %}
<ul>
  <li><a href="/disconnect/{{lobbyid}}">Disconnect</a></li>
</ul>

<div id="backgroundleft">

  <img id="ChosenTroop" class="troops animated fadeInLeft" src="{{asset('images/sirnoel.png')}}">
  <div id="TroopsName" class="name animated bounceInDown">Pirate Noel</div>

<button class="save animated fadeInUp" id="Save">Save</button>



</div>


<div class="backgroundfull" style="background-image: url({{asset('images/red.png')}} ); background-size: cover; z-index: -1"></div>
<div id="backgroundright">



<div style="    position: absolute;
    top: 50%;
    left: 45%;
    transform: translateX(-50%) translateY(-50%);
">
  <div class="animated bounceInLeft" style="color: white;font-size: 20px;background:rgba(0,0,0,0.5);">Choose Troops here</div>

<div style="
    display: -webkit-box;
    " class="animated fadeIn">

    <div class="card">
        <img id="noel" name="Pirate Noel" data-img="{{asset('images/sirnoelSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/sirnoel.png')}}" src="{{asset('images/fnoel.png')}}" alt="Avatar" style="width:100%">
      </div>
        <div  class="card">
        <img id="dan" name="Mage Dan" data-img="{{asset('images/helloSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/jordan.png')}}" src="{{asset('images/fdan.png')}}" alt="Avatar" style="width:100%">
      </div>
        <div  class="card">
        <img id="dims" name="Gumiho Dims" data-img="{{asset('images/hiSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/dims.png')}}" src="{{asset('images/fdims.png')}}" alt="Avatar" style="width:100%">
      </div>
    
</div>
<div style="
    display: -webkit-box;
    " class="animated fadeIn">

    <div class="card">
        <img id="jes" name="Fist Fighter Jesirene" data-img="{{asset('images/jesireneSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/jesirene.png')}}" src="{{asset('images/fwong.png')}}" alt="Avatar" style="width:100%">
      </div>
        <div class="card">
        <img id="vince" name="Swordsman Roi" data-img="{{asset('images/roiSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/vince.png')}}" src="{{asset('images/fvince.png')}}" alt="Avatar" style="width:100%">
      </div>
        <div class="card">
        <img id="shawn" name="Ninja Shawn" data-img="{{asset('images/shawnSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/shawn.png')}}" src="{{asset('images/fshawn.png')}}" alt="Avatar" style="width:100%">
      </div>
    
</div>
<div style="
    display: -webkit-box;
    " class="animated fadeIn">
  <div class="card">
        <img id="casin" name="Kya Kyasin" data-img="{{asset('images/casinSmall.png')}}" onclick="choosetroops(this)" data-show="{{asset('images/casin.png')}}" src="{{asset('images/fcasin.png')}}" alt="Avatar" style="width:100%">
      </div>
    
</div>
</div>

</div>

<audio id="myAudio">
  <source src="{{asset('audio/audio2.mp3')}}" type="audio/mpeg">
</audio>

<div id="modalp1" class="modal"></div>
<div id="modalp2" class="modal"></div>
<div class="modalDc">
  <div id="contentdc" class="modalContent">
    
  </div>
</div>

{% endblock %}

{% block javascripts %}
<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/bootstrap.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>
<script>

var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();


responsiveVoice.speak("Choose your troops");
var img = "{{asset('images/sirnoelSmall.png')}}";
function choosetroops(element){

    if(element.id=="noel"){
    $('.backgroundfull').css('background-image','url({{asset("images/red.png")}})');
    responsiveVoice.speak("Pirate No el");
    }
    else if(element.id=="jes"){
    $('.backgroundfull').css('background-image','url({{asset("images/yellow.png")}})');
    responsiveVoice.speak("Fist Fighter Jesirene");
    }
    else if(element.id=="vince"){
    $('.backgroundfull').css('background-image','url({{asset("images/blue.png")}})');
    responsiveVoice.speak("Swordsman Roy");
    }
    else if(element.id=="casin"){
    $('.backgroundfull').css('background-image','url({{asset("images/green.png")}})');
    responsiveVoice.speak("Kya casin");
    }
    else if(element.id=="dims"){
    $('.backgroundfull').css('background-image','url({{asset("images/orange.png")}})');
    responsiveVoice.speak("Gumiho Dims");
    }
    else if(element.id=="shawn"){
    $('.backgroundfull').css('background-image','url({{asset("images/brown.png")}})');
    responsiveVoice.speak("Ninja Shawn");
    }
    else if(element.id=="dan"){
    $('.backgroundfull').css('background-image','url({{asset("images/grey.png")}})');
    responsiveVoice.speak("Mage Dan");
    } 

    //alert(element.getAttribute('data-img'));
    $('#ChosenTroop').addClass('animated zoomOut');
    $('#TroopsName').html(element.name);
    $('#Save').attr('disabled','disabled');
    setTimeout(function(){
    $('#ChosenTroop').removeClass('animated zoomOut');
        $('#ChosenTroop').addClass('animated fadeInLeft');
    $('#ChosenTroop').attr('src',element.getAttribute('data-show'));
    img = element.getAttribute('data-img');
    $('#Save').removeAttr('disabled');    
    },1000);
}

$('#Save').click(function(){
        $.ajax({
          url: '/sendimgtroops',
          type: 'POST',
          dataType: 'json',
          data: {
            'imgtroops' : img,
            'LobbyID' : "{{lobbyid}}",
            'playertype' : "{{playertype}}"

          },
          success: function(data){
            window.location.replace('/placetroops');
          },
          error: function(xhr,status,error){
           // alert(xhr.responseText);
          }
        });


});


function gotolobby(){
  window.location.replace('/lobby');
}

var checkifdisconnected = setInterval(checkisdc,2000);
function checkisdc(){
          $.ajax({
          url: '/checkifdisconnected',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}",
            
          },
          success: function(data){
            if(data == true){

              clearInterval(checkifdisconnected);    
                $('.modalDc').css('display','block');
                $('#contentdc').html('Opponent Disconnect!<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                responsiveVoice.speak("Opponent Disconnect!");
    
            }
          },
          error: function(xhr,status,error){
           // alert(xhr.responseText);
          }
        });

}

disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     return false;
   }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}
$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
</script>

{% endblock %}
